Bug 998882 - Provide for reload of corosync.conf
Provide for reload of corosync.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: corosync (Show other bugs)
7.0
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks: 998883
  Show dependency treegraph
 
Reported: 2013-08-20 05:43 EDT by Christine Caulfield
Modified: 2014-06-30 09:09 EDT (History)
6 users (show)

See Also:
Fixed In Version: corosync-2.3.2-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 998883 (view as bug list)
Environment:
Last Closed: 2014-06-13 07:25:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christine Caulfield 2013-08-20 05:43:05 EDT
Corosync as it currently is cannot reload a new corosync.conf file, only individual parameters can be changed.

We need to be able to ship a new corosync.conf file round the cluster and atomically activate it on all nodes.
Comment 2 Christine Caulfield 2013-09-16 04:15:18 EDT
Code is now in git for corosync:

commit bc47c583bdd0a021ddc9efbecc8df006fef8520e
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Thu Sep 12 11:03:33 2013 +0100

    Reload: Make coroparse use a designated icmap hash table

commit 82fbffc34b3803dd75d22f37d6d9cf873b5a213b
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Thu Sep 12 11:04:52 2013 +0100

    Reload: Add reload code to cfg


commit c0bfd48928a7fcd93ca1683ae5ce5de63961a2e7
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Thu Sep 12 11:06:13 2013 +0100

    Reload: Add atomic reload to totemconfig


commit 1a046793cb00530d8f89df235ed0cae7d8164bfe
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Thu Sep 12 11:07:10 2013 +0100

    Reload: Add atomic reload to log config


commit c6688c6e11a35d13293f9b610faca5c7beb7e5cb
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Thu Sep 12 16:10:35 2013 +0100

    Reload: document config.reload_in_progress in man page
Comment 9 Ludek Smid 2014-06-13 07:25:16 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.